summaryrefslogtreecommitdiffstats
path: root/libraries/ptlib
diff options
context:
space:
mode:
author Mauro Giachero2010-05-12 23:31:03 +0200
committer Robby Workman2010-05-12 23:31:03 +0200
commit1b1d778be69a8301f7a27251ccc9ac5156903f61 (patch)
tree0017d27d5b880682e6eacbf963a490e714b855cf /libraries/ptlib
parentc79338097722e389fc1149881eddeab6f110eab5 (diff)
downloadslackbuilds-1b1d778be69a8301f7a27251ccc9ac5156903f61.tar.gz
libraries/ptlib: Added to 12.2 repository
Diffstat (limited to 'libraries/ptlib')
-rw-r--r--libraries/ptlib/README11
-rw-r--r--libraries/ptlib/ptlib.SlackBuild104
-rw-r--r--libraries/ptlib/ptlib.info8
-rw-r--r--libraries/ptlib/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/libraries/ptlib/README b/libraries/ptlib/README
new file mode 100644
index 0000000000..9b811db068
--- /dev/null
+++ b/libraries/ptlib/README
@@ -0,0 +1,11 @@
+PTLib - Portable Tools Library
+
+PTLib is a moderately large class library that has it's genesis many
+years ago as PWLib (Portable Windows Library), a method to produce
+applications to run on both Microsoft Windows and Unix systems. It
+has also been ported to many other systems.
+Since then the system has grown to include many classes that assist
+in writing complete multi-platform applications. So it became a
+Portable Tools Library and was renamed to PTLib.
+
+libv4l is not strictly a prerequisite, but is strongly recommended.
diff --git a/libraries/ptlib/ptlib.SlackBuild b/libraries/ptlib/ptlib.SlackBuild
new file mode 100644
index 0000000000..d0e2c6634c
--- /dev/null
+++ b/libraries/ptlib/ptlib.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for PTLib
+
+# Copyright 2008-2009 Mauro Giachero (mauro dot giachero at gmail dot com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ptlib
+VERSION=${VERSION:-2.6.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# The "LIBS" variable is set to fix OpenLDAP support
+#
+# The --disable-avc is here to avoid build problems when both libdv and
+# libavc1394 are installed. According to
+# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=516826
+# the problem lies in the usage of deprecated (and now removed) functions.
+# Quoting from message #15:
+# | We are planning on releasing ptlib 2.6 without DC nor AVC support and
+# | redirecting people to use V4L.
+# which is advised in the README file.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LIBS="-lgthread-2.0" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-v4l \
+ --disable-avc \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+# Remove static library
+rm $PKG/usr/lib${LIBDIRSUFFIX}/libpt_s.a
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-LN-Z]* mpl-1.0.htm $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/ptlib/ptlib.info b/libraries/ptlib/ptlib.info
new file mode 100644
index 0000000000..44dbde3425
--- /dev/null
+++ b/libraries/ptlib/ptlib.info
@@ -0,0 +1,8 @@
+PRGNAM="ptlib"
+VERSION="2.6.2"
+HOMEPAGE="http://www.opalvoip.org/"
+DOWNLOAD="http://downloads.sourceforge.net/opalvoip/ptlib-2.6.2.tar.bz2"
+MD5SUM="d478121cfc82da7c0f0ce0e53fc7c2fd"
+MAINTAINER="Mauro Giachero"
+EMAIL="mauro dot giachero at gmail dot com"
+APPROVED="rworkman"
diff --git a/libraries/ptlib/slack-desc b/libraries/ptlib/slack-desc
new file mode 100644
index 0000000000..ac5668b246
--- /dev/null
+++ b/libraries/ptlib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ptlib: PTLib (Portable Tools Library)
+ptlib:
+ptlib: PTLib is a moderately large class library that has it's genesis many
+ptlib: years ago as PWLib (Portable Windows Library), a method to product
+ptlib: applications to run on both Microsoft Windows and Unix systems. It
+ptlib: has also been ported to many other systems.
+ptlib: Since then the system has grown to include many classes that assist
+ptlib: in writing complete multi-platform applications. So it became a
+ptlib: Portable Tools Library and was renamed to PTLib.
+ptlib:
+ptlib: Homepage: http://www.opalvoip.org/